<?php




require_once GREEN_ZONE_DIR . '/forms/GZ_BaseForm.php';
require_once 'Classes/Queries/ObsFieldQuery.php';




class DisplayParametersView extends GZ_BaseForm
{
  // PUBLIC

  public function __construct( $set_gz )
  {
    parent::__construct( $set_gz );
    
    $this->column_headings = null;
    $this->LoadFromSession();
  }

  public function Display()
  {
    $smarty = $this->gz->CreateSmarty();
    
    $smarty->Display( 'DisplayParametersView.tpl' );
  }
  
  public function ReadForm()
  {
    if( isset( $this->gz->_POST['show_parameters'] ) )
      $this->column_headings = $this->gz->_POST['show_parameters'];
  }

  public function ProcessActions()
  {
    $query = new ObsFieldQuery();
    $query->SetDatabase( $this->gz );
    $query->Execute();
    $this->column_headings = $query->GetFields();
    
    return '';
  }
  
  // PRIVATE
      
  private $column_headings;
  
  private function LoadFromSession()
  {
    global $_SESSION;
    if( isset( $_SESSION['show_parameters'] ) )
      $this->column_headings = $_SESSION['show_parameters'];
  }
  
  private function StoreToSession()
  {
    global $_SESSION;
    
    if( $this->show_parameters != null 
      $_SESSION['show_parameters'] = $this->show_parameters;
  }
};


?>